Changes Announcement.
Use this method to change Announcement properties. Permissions: Administrator, SupportAdministrator users.
Path Parameters
- Type: stringFormat: uuididrequired
Announcement ID
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body·
Mandatory. Announcement to be changed.
- Type: stringDescriptionmax length:100
Feed description. Length: 100.
- Type: string | nullFormat: dateEnd
Date full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
- Type: enumFrequency
BaseFrequencyEnum { Hourly: 'H'; Daily: 'D'; Weekly: 'W'; Monthly: 'M'; SubPeriodStart: 'S'; SubPeriodEnd: 'E'; PnLPeriodStart: 'P'; PnLPeriodEnd: 'L'; Quarterly: 'Q'; Yearly: 'Y' }
valuesHDWMSEPLQY - Type: string | nullFrequency
Option max length:100Frequency days as kept in the DB. Type: string; if Frequency = 'D' - null (every day), else if Frequency = 'W' - 0-6, else if Frequency = 'M' - 01-31
- Type: booleanHide
When true - Turns off data source processing
- Type: string | nullLayout
Name max length:100Name of the layout file
- Type: string | nullFormat: time-spanQuiet
Hours End End of Quiet Time before which notifications are not sent
- Type: string | nullFormat: time-spanQuiet
Hours Start Start of Quiet Time after which notifications are not sent
- Type: string | nullFormat: dateStart
Date full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
Responses
- 200
OK
curl /v2/ActivityFeedSetup/Announcement/C895A81E-0C20-42C0-B2DC-EAF43F9447BD \
--request PATCH \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '{
"Description": "",
"Hide": true,
"Frequency": "H",
"FrequencyOption": null,
"QuietHoursStart": "21:30:00",
"QuietHoursEnd": "21:30:00",
"LayoutName": null,
"StartDate": "2019-01-03",
"EndDate": "2019-01-03"
}'
